Skip to main content
GET
List entitlements

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Headers

apiversion
integer | null

Query Parameters

cursor
string | null

The cursor indicating a unique set of results - this should be auto generated and you get it from the next and previous fields of the response

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

limit
integer | null

The number of results to return - defaults to 10

Example:

10

order
string | null
default:-created_at
Example:

"order=created_at"

sort_key
string | null
Example:

"sort_key=id"

sort_type
string | null
Example:

"sort_key=asc"

search
string | null
id
string<uuid> | null
id__in
string | null
id__isnull
boolean | null
name
string | null
name__ilike
string | null
name__like
string | null
name__in
string | null
name__isnull
boolean | null
description
string | null
description__ilike
string | null
description__like
string | null
description__in
string | null
description__isnull
boolean | null
entitlement_type
string | null
entitlement_type__ilike
string | null
entitlement_type__like
string | null
entitlement_type__in
string | null
entitlement_type__isnull
boolean | null
units
string | null
units__ilike
string | null
units__like
string | null
units__in
string | null
units__isnull
boolean | null
is_active__isnull
boolean | null
is_active
boolean | null
created_at
string<date-time> | null
created_at__neq
string<date-time> | null
created_at__gt
string<date-time> | null
created_at__gte
string<date-time> | null
created_at__lt
string<date-time> | null
created_at__lte
string<date-time> | null
created_at__isnull
boolean | null
created_at__in
string | null

Response

Successful Response

results
EntitlementResponseSchema · object[]
required

The results for the current page

next
string | null

The cursor for the next page of results

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

previous
string | null

The cursor for the previous page of results

Example:

"GmBsbCBhcmV1IGN1cmlvdxM="

total_count
integer | null

The total count of rows